apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: jobsearch-api
    environment: staging
    system: job-ads
    team: walrus
  name: jobsearch-apis-staging
  namespace: openshift-gitops
spec:
  destination:
    namespace: jobsearch-apis-staging
    server: https://kubernetes.default.svc
  project: walrus
  source:
    path: kustomize/overlays/staging
    repoURL: https://gitlab.com/arbetsformedlingen/job-ads/jobsearch-apis-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
